function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { useMemo } from 'react';
import { View } from 'react-native';
import EStyleSheet from 'react-native-extended-stylesheet';

/**
 * TODO add media queries for fluid prop
 */
export default function Container(props) {
  const {
    fluid = false,
    style: styleProp,
    children
  } = props;
  const style = useMemo(() => {
    let addedStyle = {};

    if (fluid) {
      addedStyle = _objectSpread({}, addedStyle, {}, styles.fluid);
    }

    if (styleProp) {
      addedStyle = _objectSpread({}, addedStyle, {}, styleProp);
    }

    return [styles.container, addedStyle];
  }, [fluid, styleProp]);
  return React.createElement(View, {
    style: style
  }, children);
}
const styles = EStyleSheet.create({
  container: {
    alignSelf: 'center'
  },
  '@media (max-width: 768)': {
    // media queries
    container: {
      width: 'auto'
    }
  },
  '@media (min-width: 768) and (max-width: 992)': {
    // media queries
    container: {
      width: 750
    }
  },
  '@media (min-width: 992) and (max-width: 1170)': {
    // media queries
    container: {
      width: 970
    }
  },
  '@media (min-width: 1170)': {
    // media queries
    container: {
      width: 1170
    }
  },
  fluid: {
    width: 'auto'
  }
});
//# sourceMappingURL=index.js.map